Cancel an unpaid order
curl --request POST \
--url https://sendmypaper.com/v1/orders/{id}/cancelimport requests
url = "https://sendmypaper.com/v1/orders/{id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://sendmypaper.com/v1/orders/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ord_8k2m4qz7c1x9b3vd",
"object": "postcard",
"product": "postcard_4x6",
"status": "awaiting_payment",
"status_detail": "<string>",
"price": {
"amount_cents": 123,
"currency": "<string>",
"display": "<string>"
},
"to": {
"name": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "CA",
"zip": "94105",
"company": "<string>",
"line2": "<string>"
},
"from": {
"name": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "CA",
"zip": "94105",
"company": "<string>",
"line2": "<string>"
},
"content": {},
"checkout_url": "<string>",
"order_url": "<string>",
"preview_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"mailed_at": "2023-11-07T05:31:56Z",
"events": [
{
"at": "<string>",
"status": "<string>",
"note": "<string>"
}
]
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Cancel an unpaid order
Only orders in awaiting_payment can be cancelled here. For paid orders, email support before printing.
POST
/
orders
/
{id}
/
cancel
Cancel an unpaid order
Path Parameters
Response
Cancelled order
Example:
"ord_8k2m4qz7c1x9b3vd"
Available options:
postcard, letter Available options:
postcard_4x6, postcard_6x9, letter Available options:
awaiting_payment, paid, printing, mailed, cancelled, refunded Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Where the person pays. Null once paid or closed. Never expires.
Human-readable status page
Exact print preview
Show child attributes
Show child attributes